免费注册 查看新帖 |

Chinaunix

  平台 论坛 博客 文库
最近访问板块 发新帖
查看: 1599 | 回复: 1

解决打了临时解决php hash冲突的补丁后eAccelerator不能使用的问题 [复制链接]

论坛徽章:
0
发表于 2012-01-06 16:13 |显示全部楼层
解决打了临时解决php hash冲突的补丁后eAccelerator不能使用的问题







最近爆出php hash冲突问题,具体请查看雪候鸟的博文,
打了雪兄给出的临时补丁后发现eAccelerator不好使了。
执行php -v 会提示
[eAccelerator] This build of "eAccelerator" was compiled for PHP version 5.2.17. Rebuild it for your PHP version (5.2.17p1) or download precompiled binaries.
主要是因为php版本号改变了导致eAccelerator报错。
找了一下eAccelerator的源码,发现是eaccelerator.c文件中,有检查php版本号的代码,主要是encode_version这个函数,找到

Php代码
  1. 1.} else if (strncasecmp(buf, "beta", 4) == 0) {   
  2. 2.         a = 3;   
  3. 3.        sscanf(buf, "beta%u", &b);   
  4. 4.}  
  5. } else if (strncasecmp(buf, "beta", 4) == 0) {
  6.          a = 3;
  7.         sscanf(buf, "beta%u", &b);
  8. }
复制代码
这行,在下面添加如下代码

Php代码
  1. 1.} else if (buf, "p1%u", &b) {   
  2. 2.       a = 0;   
  3. 3.       b = 0;   
  4. 4. }  
  5. } else if (buf, "p1%u", &b) {
  6.        a = 0;
  7.        b = 0;
  8. }
复制代码
重新编译eAccelerator,再次执行 php -v,已无报错,重启cgi,eAccelerator目录已有重新重成的文件,说明成功解决此问题:)

论坛徽章:
0
发表于 2012-01-06 16:13 |显示全部楼层
谢谢楼主
您需要登录后才可以回帖 登录 | 注册

本版积分规则 发表回复

  

北京盛拓优讯信息技术有限公司. 版权所有 京ICP备16024965号-6 北京市公安局海淀分局网监中心备案编号:11010802020122 niuxiaotong@pcpop.com 17352615567
未成年举报专区
中国互联网协会会员  联系我们:huangweiwei@itpub.net
感谢所有关心和支持过ChinaUnix的朋友们 转载本站内容请注明原作者名及出处

清除 Cookies - ChinaUnix - Archiver - WAP - TOP